#!/usr/bin/env pybricks-micropython
from pybricks.hubs import EV3Brick
from pybricks.ev3devices import (Motor, TouchSensor, ColorSensor,
                                 InfraredSensor, UltrasonicSensor, GyroSensor)
from pybricks.parameters import Port, Stop, Direction, Button, Color
from pybricks.tools import wait, StopWatch, DataLog
from pybricks.robotics import DriveBase
from pybricks.media.ev3dev import SoundFile, ImageFile


ev3 = EV3Brick()
#правые с зади
ppm = Motor(Port.D, positive_direction=Direction.CLOCKWISE, gears=None)#крайний правый с зади
pm = Motor(Port.C, positive_direction=Direction.CLOCKWISE, gears=None)#средний правый с зади
#левые с зади
llm = Motor(Port.A, positive_direction=Direction.CLOCKWISE, gears=None)#крайний левый с зади
lm = Motor(Port.B, positive_direction=Direction.CLOCKWISE, gears=None)#средний левый с зади
#ультразвук првый c зади
usp = UltrasonicSensor(Port.S2)
#ультразвук левый c зади
usl = UltrasonicSensor(Port.S3)
storona = 1073

l_salomon = []
p_salomon = []
# ждать пока нажмется любая кнопка

     
while True:
    wait(10)
    if Button.LEFT in ev3.buttons.pressed():
    #ждать 5 секунд и обзначить положение робота противника справа
        ev3.speaker.beep()
        wait (1000)
        storona = 0
        #llm.run_angle(300, 1000, then=Stop.HOLD, wait=False)
        #lm.run_angle(300, 1000, then=Stop.HOLD, wait=False)
        #pm.run_angle(300, -1000, then=Stop.HOLD, wait=False)
        #ppm.run_angle(300, -1000, then=Stop.HOLD, wait=True)  
        break

    elif Button.RIGHT in ev3.buttons.pressed():
    #ждать 5 секунд и обзначить положение робота противника слева
        ev3.speaker.beep()
        wait (1000)
        storona = 1
        #llm.run_angle(300, -1000, then=Stop.HOLD, wait=False)
        #lm.run_angle(300, -1000, then=Stop.HOLD, wait=False)
        #pm.run_angle(300, 1000, then=Stop.HOLD, wait=False)
        #ppm.run_angle(300, 1000, then=Stop.HOLD, wait=True) 
        break

l_salomon.append(usl.distance())
p_salomon.append(usp.distance())
#[35]
wait(100)
l_salomon.append(usl.distance())
p_salomon.append(usp.distance())
#[35, 37]

#[35, 37, 23]

wait(3900)
       
while True:
    wait(10)
    p_salomon.pop(0)
    l_salomon.pop(0)
    l_salomon.append(usl.distance())
    p_salomon.append(usp.distance())
    wait(10)
    x = (p_salomon[0]+p_salomon[1])/2
    y = (l_salomon[0]+l_salomon[1])/2
    print(usl.distance(), int(y))
    temp_usl = int(x)
    temp_usp = int(y)

#видит правым
    if temp_usl > 500 and temp_usp < 700:        
        llm.run(-1000)
        lm.run(-1000)
        pm.run(-1000)
        ppm.run(-1000)
        storona = 1
#видит левым
    elif temp_usl < 700 and temp_usp > 500:     
        llm.run(-1000)
        lm.run(-1000)
        pm.run(-1000)
        ppm.run(-1000)
        storona = 0
#видит правым и левым
    elif temp_usl < 700 and temp_usp < 700:      
        llm.run(-1000)
        lm.run(-1000)
        pm.run(-1000)
        ppm.run(-1000)
#не видит
    elif temp_usl > 500 and temp_usp > 500:     
#не видит
        if storona == 1:      
            llm.run(-250)
            lm.run(-300)
            pm.run(300)
            ppm.run(250)
#против часовой
        elif storona == 0:     
            llm.run(250)
            lm.run(300)
            pm.run(-300)
            ppm.run(-250)    